import { DynamoDB } from 'aws-sdk';
import { ServiceError } from './ServiceError';
export declare class NotFoundError extends ServiceError {
    static itemNotFoundInDynamoDb(searchParams: DynamoDB.DocumentClient.GetItemInput): NotFoundError;
    static itemsNotFoundInDynamoDb(searchParams: DynamoDB.DocumentClient.QueryInput): NotFoundError;
    protected constructor(message: string);
    toString(): string;
}
